HighLevelToHDM
Keywords: uk.ac.ic.doc.automed.reps.HighLevelToHDM class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class HighLevelToHDM

    java.lang.Object
      uk.ac.ic.doc.automed.reps.HighLevelToHDM

    public class HighLevelToHDM

extends java.lang.Object

Class to convert any high level schema into an equivalent HDM schema

Constructor Summary
`HighLevelToHDM(Schema s1)` Creates a new instance of HighLevelToHDM

Method Summary
`Schema` | `TransformToHDM(java.lang.String highLevelLanguageName, int prefixLength)` Transform any high level scehma into an HDM oriented one
`java.lang.String` | `validateConstraints(Schema hdmSchema)` This method verifies that the HDM constraints added to this schema are valid

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HighLevelToHDM

    public HighLevelToHDM(Schema s1)
                   throws NotFoundException

  Creates a new instance of HighLevelToHDM

  Parameters:
    `s1` - The high level schema to transform into an HDM oriented schema
  Throws:
    `NotFoundException` - Thrown if `s1` is not found

Method Detail

### validateConstraints

    public java.lang.String validateConstraints(Schema hdmSchema)
                                         throws AutoMedException

  This method verifies that the HDM constraints added to this schema are valid

  Returns:
    Returns true or false
  Throws:
    `AutoMedException`

### TransformToHDM

    public Schema TransformToHDM(java.lang.String highLevelLanguageName,
                                 int prefixLength)
                          throws AutoMedException

  Transform any high level scehma into an HDM oriented one

  Parameters:
    `highLevelLanguageName` - The name of the high level AutoMed model
    `prefixLength` - The length of any prefix that objects in `highLevelLanguageName` may have
  Returns:
    Returns the transformed schema
  Throws:
    `AutoMedException` - General AutoMed exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD